@echo off
::
:: Perform Backup & Restore operations interactively
:: using the relevant script files.
:: 
::  Windows XP/2k and Vista/Win7
::  D. Hooton April 2009
:: 

color 17
setlocal enableExtensions enableDelayedExpansion
set "logospaths=%temp%\logospaths.txt"

::
:: Request the operation
:: 
set "func=B"
set /P "func=Backup(B) or Restore(R) [B] "
::
:: Set initial default paths 
::
:setpaths
echo.
if NOT exist "%logospaths%" (
   set /P "backup=Enter the Backup folder: "
   if "!backup!"=="" echo You must enter a backup folder & goto :setpaths
   set backup=!backup:"=!
   set "resource=*"
   echo !backup![!resource!] > %logospaths%
   goto :getresource
)
::
:: Get paths from file as defaults for input requests
::
For /F "usebackq delims=[] tokens=1-2" %%i in ("%logospaths%") do set "backup=%%i" & set "resource=%%j"

set /P "backup=Enter the Backup folder [%backup%] "
set backup=%backup:"=%

:getresource
echo.
set "do-resources=N"
set /P "do-resources=Do you want to include Resources? [N] "
if /i %do-resources% EQU y (
   set /P "resource=Enter the Resource folder [%resource%] "
)
:: strip quotes
set resource=%resource:"=%

if "%resource%" EQU "*" (
     set outres=*
     set "resource="
) else (
     set outres=%resource%
     set resource="%resource%"
)
echo %backup%[%outres%] > %logospaths%
::
::  ask if User Data only or All data
::
if exist "%backup%\common" (
   echo.
   set "User-only=Y"
   set /P "User-only=User Data only? [Y] "
) else (
   set "User-only=N"
)

If /i %func% EQU r goto :Restore

:::::::::::::::::::::::::
::   Backup Functions
:::::::::::::::::::::::::
:Backup
if /i %User-only% NEQ n (
   Call BackupSettings "%backup%"
) else (
   Call BackupLibronix "%backup%"
)
if /i %do-resources% EQU y (
   Call BackupResources "%backup%"  %resource%
)
pause
goto :EOF

:::::::::::::::::::::::::
::   Restore Functions
:::::::::::::::::::::::::
:Restore
if /i %User-only% NEQ n (
   Call RestoreSettings "%backup%"
) else (
   Call RestoreLibronix "%backup%"
)
if /i %do-resources% EQU y (
   Call RestoreResources "%backup%"  %resource%
)
pause
goto :EOF
