@echo off
::
:: Usage:  BackupResources %1 [Resource path]
:: %1 is the backup folder eg. F:\resourcebackup (use quotes if name has spaces)
:: [Resource path] is required for resources in non-default location eg. "D:\DLS Resources"  
::
:: Windows XP/2k and Vista/Win7
:: D. Hooton February 2009
::

set pFile=%1
If %1!==! goto MISSING
echo %1 | Find "\\" > nul
If %ErrorLevel% EQU 0 echo Finding backup folder on network...
If not EXIST %1 (
   mkdir %1
   If ErrorLevel 1 echo. & goto MISSING
)
echo.
echo Backup folder is %1
echo.

:: Get path variables from GetPaths, but they
:: can be over-ridden from the command line.

Call GetPaths -i
set "RESOURCES=%Libronix%\Resources"

If %2!==! goto BACKUP
set pFile=%2
set RESOURCES=%~2
If not EXIST "%RESOURCES%" goto MISSING

:BACKUP

rem /MIR + /COPY:DT = clone files & folders except file attributes
rem /FFT = 2 sec file time tolerance, /DST = allow for Daylight Saving

If %Vista%==1 (
   set "DST=/DST"
) else (
   set "DST="
)
echo.
echo Copying Resources from %RESOURCES%...
ROBOCOPY  "%RESOURCES%" %1\Resources  /MIR /COPY:DT /NP /NJH /NDL /NFL /FFT %DST%
echo.
echo.

goto EXIT


:MISSING
echo.
If %pFile%!==! (
   echo ERROR: Invalid or no folder name
) else (    
   echo ERROR: %pFile% cannot be found or is invalid
)

:EXIT
echo.
echo Press any key ...
PAUSE >nul
