@echo off
::  
:: Find the Libronix installation path and User Files path
::

set showpath=0

If %1!==! (
   set showpath=1
   Call :FindLDLS
   Call :FindUser
   goto :EOF
)
If /i %1==-a (
   Call :FindLDLS
   Call :FindUser
   goto :EOF
)
If /i %1==-i (
   Call :FindLDLS
   goto :EOF
)
If /i %1==-u (
   Call :FindUser
   goto :EOF
)
echo ERROR: Invalid option %1
goto :EOF

::::::::::::::::::::::::::::::::
:: Find installation path
:::::::::::::::::::::::::::::::::

:FindLDLS

:: Setup default install path
:: XP/Vista/Win7 64-bit use (x86) folder for 32-bit programs

If DEFINED PROGRAMFILES(X86)  (
   set "PROGRAMDIR=%PROGRAMFILES(X86)%"
) else (
   set "PROGRAMDIR=%PROGRAMFILES%"
)
set "Libronix=%PROGRAMDIR%\Libronix DLS"

If "%ALLUSERSPROFILE%"=="%SYSTEMDRIVE%\ProgramData" (
   set Vista=1
   set skip=2
   set "ALLUSERS=%ALLUSERSPROFILE%\Libronix DLS"
) else (
   set Vista=0
   set skip=4
   set "ALLUSERS=%ALLUSERSPROFILE%\Application Data\Libronix DLS"
)

:: Use Reg.exe QUERY to get the path for LDLSexec.exe so we know where Libronix is installed!
:: Format is similar for Vista and XP but different # of lines is output:
::   <NO NAME>	REG_SZ  "D:\Libronix DLS\System\LDLSExec.exe"

echo off
set "Ldir="
For /F "skip=%skip% delims=\ tokens=1*" %%I in ('Reg Query HKCR\libronixdls\DefaultIcon /ve') do (
   set Ldrive=%%I
   set Ldir=%%J
)
set Ldrive=%Ldrive:~-2%
set Ldir=%Ldir:"=%
set Ldir=%Ldir:~0,-20%
If "%Ldir%"=="" (
   echo WARN: cannot get Install path from Registry
   set showpath=1
) else (
   set "Libronix=%Ldrive%\%Ldir%"
)

:ChkpathI
if %showpath% EQU 1 echo INFO: Install Path is %Libronix%
goto :EOF


::::::::::::::::::::::::::::::::::::
:: Find the User files path
:::::::::::::::::::::::::::::::::::::

:FindUser

If "%ALLUSERSPROFILE%"=="%SYSTEMDRIVE%\ProgramData" (
   set Vista=1
   set "MyDocuments=%USERPROFILE%\Documents"
   set "ALLUSERS=%ALLUSERSPROFILE%\Libronix DLS"
) else (
   set Vista=0
   set "MyDocuments=%USERPROFILE%\My Documents"
   set "ALLUSERS=%ALLUSERSPROFILE%\Application Data\Libronix DLS"
)
set "USERFILE=%MyDocuments%\Libronix DLS"
set "PREFS=%APPDATA%\Libronix DLS"

:: Check for Userfile set by Power Tools
set "Userset=%PREFS%\Library\Preferences\LibrarySystem\Settings.lbxprf"
if not EXIST "%Userset%" goto ChkpathU

:: Format:
:: {tab} <value name="RootFolder">C:\LDLS User</value></preferences>
set "Udir="
For /F "usebackq skip=2 delims=<> tokens=3" %%I in ("%Userset%") do set "Udir=%%~I"

if "%Udir%"==""  goto ChkpathU
if /i "%Udir%"=="/value"  goto ChkpathU
set "USERFILE=%Udir%"
echo INFO: Userfile Path found in Power Tools
set showpath=1

:ChkpathU
if %showpath% EQU 1 echo INFO: Userfile Path is %USERFILE%
goto :EOF
