@echo off
::
:: Usage:  RestoreLibronix %1 [LDLS path] [[-u] userfiles]
:: %1 is the backup folder eg. F:\logosbackup
:: [LDLS path] is the installation path
:: [userfiles] will force User Files to a non-default location.
:: -u (or -U) is required if User Files is the only parameter.
:: Quotes are required if a path name has spaces eg. "D:\DLS User"
::
:: Windows XP/2k and Vista/Win7
:: D. Hooton February 2009
::

set pFile=%1
If %1!==! goto MISSING
echo %1 | Find "\\" > nul
If %ErrorLevel% EQU 0 echo Finding backup folder on network...
If not EXIST %1 goto MISSING

echo.
echo Backup folder is %1
echo.

:: Get path variables from GetPaths, but they
:: can be over-ridden from the command line.

Call GetPaths -a
set COMMON=%Libronix%\Common
set LICENCES=%ALLUSERS%\Library\Licenses

If %2!==! goto CHECK
If /i %2 NEQ -u (
   set COMMON=%~2\Common
) else (
   If %3!==! (
      set pFile=%3 & goto MISSING
   )
)
If %3!==! goto CHECK
If /i %3==-u (
    set pFile=%4
    set USERFILE=%~4
) else (
    set pFile=%3
    set USERFILE=%~3
)
If %pFile%!==! goto MISSING
If not EXIST "%USERFILE%" goto MISSING

:CHECK
set pFile="%COMMON%"
If not EXIST "%COMMON%" goto MISSING

set pFile="%LICENCES%"
If not EXIST "%LICENCES%" goto MISSING

rem Check permissions
Call :Chkperm "%LICENCES%"
If %Error%==1 (
   echo.
   echo ERROR: You have to be an LDLS Administrator to run this script
   goto EXIT)

Call :Chkperm "%COMMON%"
If %Error%==1 (
   echo.
   echo ERROR: You don't have permissions for Libronix Common
   goto EXIT)

:RESTORE
rem /S keeps Extra files, /E = /S + copies empty folders, /XO excludes Older files
rem /A-:R = remove RO attribute, /R:0 = retry 0
rem /FFT = 2 sec file time tolerance, /DST = allow for Daylight Saving

If %Vista%==1 (
   set "DST=/DST"
) else (
   set "DST="
)
echo.
echo Restoring Licence Files to %LICENCES%...
ROBOCOPY %1\Licences "%LICENCES%"  /S /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

echo.
echo Restoring Common Files to %COMMON%...
ROBOCOPY  %1\Common "%COMMON%"  /S /XO /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

echo.
echo Restoring Preferences to %PREFS%...
ROBOCOPY %1\Prefs "%PREFS%"  /E /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

echo.
echo Restoring User Files to %USERFILE%...
ROBOCOPY %1\User "%USERFILE%"  /E /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

If not EXIST %1\Sermon goto AutoX
echo.
echo Restoring Sermon Files to %MyDocuments%\Libronix Resources...
ROBOCOPY %1\Sermon "%MyDocuments%\Libronix Resources"  /S /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

:AutoX
If not EXIST %1\AutoX goto EXIT
echo.
echo Restoring AutomatingX to %MyDocuments%\AutomatingX...
ROBOCOPY %1\AutoX "%MyDocuments%\AutomatingX"  /S /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

goto EXIT


::::::::::::::::::::::::::::::::::::::::::::
:: Routine to check folder permissions
::::::::::::::::::::::::::::::::::::::::::::

:Chkperm
set Error=0

:: Check for NTFS file system
CACLS %1 > nul
If %Errorlevel% EQU 1 (
   goto :EOF)
If %Errorlevel% NEQ 0 (
   set Error=1
   goto :EOF)

:: Check if User has ACE's
CACLS %1 | Find /i "%USERNAME%:" > nul
If %Errorlevel% NEQ 0 (
   set Error=1)
goto :EOF

::
::  end routine
::


:MISSING
echo.
If %pFile%!==! (
   echo ERROR: Invalid or no folder name
) else (
   echo ERROR: %pFile% cannot be found or is invalid
)

:EXIT
echo.
echo Press any key ...
PAUSE >nul
