@echo OFF
::
:: Usage:  RestoreSettings %1 [userfiles]
:: %1 is the backup folder eg. F:\logosbackup
:: [userfiles] will force User Files to a non-default location.
:: Quotes are required if a path name has spaces eg. "D:\DLS User"
::
:: Windows XP/2k and Vista/Win7
:: D. Hooton February 2009
::

set pFile=%1
If %1!==! goto MISSING
echo %1 | Find "\\" > nul
If %ErrorLevel% EQU 0 echo Finding backup folder on network...
If NOT EXIST %1 goto MISSING

echo.
echo Backup folder is %1
echo.

:: Get path variables USERFILE, PREFS but they
:: can be over-ridden from the command line.

Call GetPaths -u

If %2!==! goto RESTORE
set pFile=%2
set USERFILE=%~2
If not EXIST "%USERFILE%" goto MISSING

:RESTORE
rem /S keeps Extra files, /E = /S + copies empty folders
rem /A-:R = remove RO attribute, /R:0 = retry 0
rem /FFT = 2 sec file time tolerance, /DST = allow for Daylight Saving

If %Vista%==1 (
   set "DST=/DST"
) else (
   set "DST="
)

echo.
echo Restoring Preferences to %PREFS%...
ROBOCOPY %1\Prefs "%PREFS%"  /E /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

echo.
echo Restoring User Files to %USERFILE%...
ROBOCOPY %1\User "%USERFILE%"  /E /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

If not EXIST %1\Sermon goto AutoX
echo.
echo Restoring Sermon Files to %MyDocuments%\Libronix Resources...
ROBOCOPY %1\Sermon "%MyDocuments%\Libronix Resources"  /S /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

:AutoX
If not EXIST %1\AutoX goto EXIT
echo.
echo Restoring AutomatingX to %MyDocuments%\AutomatingX...
ROBOCOPY %1\AutoX "%MyDocuments%\AutomatingX"  /S /NP /NJH /NDL /NFL /A-:R /R:0 /FFT %DST%
echo.
echo.

goto EXIT


:MISSING
echo.
If %pFile%!==! (
   echo ERROR: Invalid or no folder name
) else (
   echo ERROR: %pFile% cannot be found or is invalid
)

:EXIT
echo.
echo Press any key ...
PAUSE >nul
